package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CompanyAuthentication;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CompanyAuthenticationMapper")
public interface CompanyAuthenticationMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CompanyAuthentication record);

    CompanyAuthentication selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CompanyAuthentication record);

    List<CompanyAuthentication> queryAllCompanyAuthentication(CompanyAuthentication record);

    List<CompanyAuthentication> queryCompanyAuthenticationByPage(Map<String, Object> parameter);

    int delete(String id);

    CompanyAuthentication queryCompanyAuthentication(CompanyAuthentication record);

    List<CompanyAuthentication> query(CompanyAuthentication record);
}

